#!python

import pyrootutils

import hydra
# from omegaconf import DictConfig
import os

os.environ["PROJECT_ROOT"] = "./Bridge-Mut"

@hydra.main(version_base='1.1', config_path=f"configs", config_name="config.yaml")
def main(config):
    from src import utils
    from src.training_pipeline import train

    config = utils.extras(config)
    return train(config)


if __name__ == "__main__":
    main()
